# Class CIM_ComputerSystemResource
extends CIM_ResourceOfSystem

An association between a ComputerSystem and the System Resources available on it.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Component
|
+--CIM_SystemComponent
|
+--CIM_ResourceOfSystem
|
+--CIM_ComputerSystemResource

## Direct Known Subclasses

CIM_ComputerSystemDMA
CIM_ComputerSystemIRQ
CIM_ComputerSystemMappedIO

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Aggregation | boolean | true
Association | boolean | true
Composition | boolean | true
Description | string | An association between a ComputerSystem and the System Resources available on it.
UMLPackagePath | string | CIM::System::SystemResources
Version | string | 2.7.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
GroupComponent | CIM_ComputerSystemResource | CIM_ComputerSystem
PartComponent | CIM_ComputerSystemResource | CIM_SystemResource

## Class Methods